#!/bin/sh

prog="`basename $0`"
src_d="/usr/local/psa/tmp"

mu="`echo $prog | awk -F '-' '{print $1}'`"
mu_flag="$src_d/${mu}-owner_installed.flag"

vhosts_d="`cat /etc/psa/psa.conf|awk '/HTTPD_VHOSTS_D/ {print $2}'`"

echo -n "Trying to change statistics directory owner for vhosts... "

if [ -f "$mu_flag" ]; then
	echo "already installed"
	exit 0
fi

for logdir in `find $vhosts_d -type d | grep 'statistics/logs'`; do
	st_dir="`dirname $logdir`"

	chown root:psaserv $logdir
	chmod 0550 $logdir

	chown root:psaserv $st_dir
	chmod 0550 $st_dir
done

touch $mu_flag

[ -n "$mu_flag" ] && echo "done" && exit 0

echo "failed"
exit 0
